CLASS AMBIGUOUS_O(3)

NAME
boost::program_options::ambiguous_option

SYNOPSIS

// In header: <boost/program_options/errors.hpp>
class ambiguous_option : public boost::program_options::error {
public:
  // construct/copy/destruct
  ambiguous_option(const std::string &, const std::vector< std::string > &);
  ~ambiguous_option();
  // public member functions
  const std::string & get_option_name() const;
  const std::vector< std::string > & alternatives() const;
};

DESCRIPTION

Class thrown when there's ambiguity amoung several possible options.

  ambiguous_option public construct/copy/destruct

    1.

    ambiguous_option(const std::string & name,
                     const std::vector< std::string > & xalternatives);

    2.

    ~ambiguous_option();

  ambiguous_option public member functions

    1.

    const std::string & get_option_name() const;

    2.

    const std::vector< std::string > & alternatives() const;